CUDPPOption
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcudpp
Class CUDPPOption

    java.lang.Object
      jcuda.jcudpp.CUDPPOption

    public class CUDPPOption

extends java.lang.Object

Options for configuring CUDPP algorithms.

See Also:
  `CUDPPConfiguration`, `JCudpp.cudppPlan(jcuda.jcudpp.CUDPPHandle, jcuda.jcudpp.CUDPPConfiguration, long, long, long)`

Field Summary
`static int` | `CUDPP_OPTION_BACKWARD` Algorithms operate backward: from end to start of array
`static int` | `CUDPP_OPTION_CTA_LOCAL` Algorithm performed only on the CTAs (blocks) with no communication between blocks. TODO: Currently ignored
`static int` | `CUDPP_OPTION_EXCLUSIVE` Exclusive (for scans) - scan includes all elements up to (but not including) the current element
`static int` | `CUDPP_OPTION_FORWARD` Algorithms operate forward: from start to end of input array
`static int` | `CUDPP_OPTION_INCLUSIVE` Inclusive (for scans) - scan includes all elements up to and including the current element
`static int` | `CUDPP_OPTION_KEY_VALUE_PAIRS` Each key has an associated value
`static int` | `CUDPP_OPTION_KEYS_ONLY` No associated value to a key (for global radix sort)

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given CUDPPOptions

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUDPP_OPTION_FORWARD

    public static final int CUDPP_OPTION_FORWARD

  Algorithms operate forward: from start to end of input array

  See Also:
    Constant Field Values

### CUDPP_OPTION_BACKWARD

    public static final int CUDPP_OPTION_BACKWARD

  Algorithms operate backward: from end to start of array

  See Also:
    Constant Field Values

### CUDPP_OPTION_EXCLUSIVE

    public static final int CUDPP_OPTION_EXCLUSIVE

  Exclusive (for scans) - scan includes all elements up to (but not including) the current element

  See Also:
    Constant Field Values

### CUDPP_OPTION_INCLUSIVE

    public static final int CUDPP_OPTION_INCLUSIVE

  Inclusive (for scans) - scan includes all elements up to and including the current element

  See Also:
    Constant Field Values

### CUDPP_OPTION_CTA_LOCAL

    public static final int CUDPP_OPTION_CTA_LOCAL

  Algorithm performed only on the CTAs (blocks) with no communication between blocks.
  TODO: Currently ignored

  See Also:
    Constant Field Values

### CUDPP_OPTION_KEYS_ONLY

    public static final int CUDPP_OPTION_KEYS_ONLY

  No associated value to a key (for global radix sort)

  See Also:
    Constant Field Values

### CUDPP_OPTION_KEY_VALUE_PAIRS

    public static final int CUDPP_OPTION_KEY_VALUE_PAIRS

  Each key has an associated value

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given CUDPPOptions

  Parameters:
    `n` - The CUDPPOptions
  Returns:
    The String identifying the given CUDPPOptions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD